/***********************************************************
 *
 * File:          PlotX-PS.h
 * Description:   include file for x11.c and ps.c
 *
 ***********************************************************/

#include <stdio.h>
#include <string.h>
#include <stdlib.h>
#include <math.h>
#include <time.h>
#include <ctype.h>

#define UNKNOWN_OS

#ifdef ULTRIX
#define ADDUB
#undef VMS
#undef UNKNOWN_OS
#endif

#ifdef VAX
#undef ADDUB
#define VMS
#undef UNKNOWN_OS
#endif

#ifdef ALPHA
#undef ADDUB
#define VMS
#undef UNKNOWN_OS
#endif

#ifdef RS6000
#undef ADDUB
#undef VMS
#undef UNKNOWN_OS
#endif

#ifdef VMS
#include <signal.h>
#include <timeb.h>
#include <types.h>
#include <descrip.h>
#else
#include <sys/signal.h>
#include <sys/time.h>
#endif

#define DEFAULT_FONT "-adobe-courier-bold-r-normal--12-120-75-75-m-70-*-1"
#define LOGO_FONT "-adobe-helvetica-bold-r-normal--14-140-75-75-p-82-*-1"
#define PRNTER1 "q2000ps1" 
#define PRNTER2 "amssps1"
#define PRNTER3 "imagps"

#define ON      1
#define OFF     0

int num_xlabel,num_ylabel;
double  deltx, delty, xmic, xmac, ymic, ymac;
int xticks, yticks;
char xlabel[80],plabel[80];
int title_index;

#ifdef ALPHA
#pragma extern_model common_block
#endif

/* for VAX, string from calling FORTRAN are passed as pointers
to descriptor */

#ifdef VAX
#define str_desc struct dsc$descriptor_s
#endif

#ifndef ADDUB
#define ps_page_setup_ ps_page_setup
#define ps_begin_ ps_begin
#define ps_y_label_ ps_y_label
#define ps_plot_line_ ps_plot_line
#define ps_page_end_ ps_page_end
#define ps_end_ ps_end
#define xp_label_ xp_label
#define refresh_ refresh
#define clear_w_ clear_w
#define initg_ initg
#define initwindow_ initwindow
#define event_handling_ event_handling
#define frec_ frec
#define xp_box_ xp_box
#define xplot_ xplot
#define xp_end_ xp_end
#define ptit_ ptit
#define status_ status
#define xychnl_ xychnl
#define getini_ getini
#define startup_ startup
#endif

struct {int record; int open1; int opened; int playba; int filled;
	int dpinit; int htime; int sscale;} status_;
struct {char xtitle[80], ytitle[6][80], ctitle[6][80], ctitl2[6][80],
	ltitle[6][80], ltitl2[6][80], ptitle[6][80], ftitle[80],
        caseid[6][12], casid[12];} ptit_;
struct {int kch1, kch[6], krecfd[2][7], ip1, jprev;} xychnl_;
struct {char homedir[80];
        char defont[80];
        char lgfont[80];
        char prtnam[3][80]; } startup_;

